Last Comment Bug 699117 - Style Editor does not load long (>5k) gzip encoded stylesheets completely
: Style Editor does not load long (>5k) gzip encoded stylesheets completely
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://1devdaydetroit.com/
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-02 09:38 PDT by Kevin Dangoor
Modified: 2011-11-11 01:55 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Kevin Dangoor 2011-11-02 09:38:37 PDT
I have noticed on a few sites that the Style Editor does not display the whole stylesheet. As soon as your start editing, the styles get messed up.

http://1devdaydetroit.com/

is an example. The inove/styles.css file (which I believe is the main theme style for this WordPress site) gets chopped off.

This is using version 0.5.2 of the xpi (I don't know if this bug exists in the current patch) running on Nightly 2011-11-02.
Comment 1 Cedric Vivier [:cedricv] 2011-11-03 10:18:54 PDT
It is in the patch as well (no feature difference on loading).

Investigated this and bisected it to happen after 0.3 due do asynchronous stream conversion change for pages whose style sheets are served with Content-Encoding: gzip).
Comment 2 Cedric Vivier [:cedricv] 2011-11-11 01:28:15 PST
This is fixed in add-on v0.5.4 and the next patch update on bug 583041 :
https://github.com/neonux/StyleEditor/commit/c5e84e0e38911496685dc03b7e1b1d8312f3ecca
Comment 3 Cedric Vivier [:cedricv] 2011-11-11 01:55:01 PST
Browser patch on bug 583041 updated with this fix.

Note You need to log in before you can comment on or make changes to this bug.